import hou

def set_blender_location():
    current_var = hou.getenv("NS_BLENDER_LOCATION")
    if current_var:
        blender_loc = hou.ui.selectFile(start_directory=current_var, file_type=hou.fileType.Directory, title="Select Blender Location")
    else:
        blender_loc = hou.ui.selectFile(file_type=hou.fileType.Directory, title="Select Blender Location")

    hou.hscript("set -g NS_BLENDER_LOCATION =" + blender_loc)


set_blender_location()